'use client'
import { profileIconSize } from "@/feature/messenger/utils/ProfileColorIcon"
import { Badge, Tooltip } from "@nextui-org/react"
import { useSession } from "next-auth/react"
import { useEffect, useState } from "react";

export default function ProfileButton() {
  const { data: session, status } = useSession();
  const [profileIcon, setProfileIcon] = useState<any>();
  const [name, setName] = useState<any>();
  useEffect(() => {
    if (status === "authenticated") {
      setName(session?.user?.name);
      setProfileIcon(profileIconSize(session?.user?.name, 12))
    }
  },[status])
  return (
    <div className="my-3" >
          <Badge content="" size="lg" color="success" shape="circle">
            <Tooltip
              placement="right"
              content={name}
              color="default"
            >
              {profileIcon}
            </Tooltip>
          </Badge>

    </div >
  )
}